Package org.drinkless.tdlib

# Class TdApi.StartLiveStoryResultOk

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StartLiveStoryResult
org.drinkless.tdlib.TdApi.StartLiveStoryResultOk

Enclosing class:
  `TdApi`

public static class TdApi.StartLiveStoryResultOk extends TdApi.StartLiveStoryResult
The live story was successfully posted.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StartLiveStoryResult

  `TdApi.StartLiveStoryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Story`
  `story`
  The live story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartLiveStoryResultOk()`
  The live story was successfully posted.
  `StartLiveStoryResultOk(TdApi.Story story)`
  The live story was successfully posted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### story

    public TdApi.Story story
    The live story.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StartLiveStoryResultOk

    public StartLiveStoryResultOk()
    The live story was successfully posted.

  - ### StartLiveStoryResultOk

    public StartLiveStoryResultOk(TdApi.Story story)
    The live story was successfully posted.
    Parameters:
      `story` - The live story.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StartLiveStoryResult`
    Returns:
      this.CONSTRUCTOR